
Name:			aranym
Version:		0.9.15
Release:		%mkrel 1
Summary:		32-bit Atari personal computer (Falcon030/TT030) virtual machine
Summary(fr_FR):		Ordinateur personnel Atari 32 bits (Falcon030/TT030) machine virtuelle
License:		GPLv2
Group:			Emulators
URL:			http://aranym.org/
Source0:		http://prdownloads.sourceforge.net/aranym/%{name}_%{version}.orig.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:		hicolor-icon-theme
BuildRequires:		desktop-file-utils
BuildRequires:		gcc-c++
BuildRequires:		SDL-devel >= 1.2.10
BuildRequires:		SDL_image-devel >= 1.2.5
BuildRequires:		zlib-devel >= 1.2.3
BuildRequires:		mpfr-devel >= 3.0.0
BuildRequires:		usb1-devel >= 1.0.0

Requires:		hicolor-icon-theme


%description
ARAnyM is a software only TOS clone - a virtual machine that allows you
to run TOS, EmuTOS, FreeMiNT, MagiC and Linux-m68k operating systems
and their applications.

Authors:
Ctirad Fertr, Milan Jurik, Standa Opichal, Petr Stehlik, Johan Klockars,
Didier MEQUIGNON, Patrice Mandin and others (see AUTHORS for a full list).

%description -l fr_FR
ARAnyM est un logiciel uniquement TOS clone - une machine virtuelle qui vous 
permet d'exécuter les systèmes d'exploitation TOS, EmuTOS, FreeMiNT, MagiC 
et Linux-m68k ainsi que leurs applications.

Auteurs:
Ctirad Fertr, Milan Jurik, Standa Opichal, Petr Stehlik, Johan Klockars,
Didier MEQUIGNON, Patrice Mandin et d'autres encore (voir AUTHORS pour une 
liste complète).

%prep
%setup -q

%build
# JIT only works on i586
#
%ifarch %ix86
%configure --disable-nat-debug --enable-jit-compiler --enable-nfjpeg
%{__make} depend
%{__make}
%{__mv} aranym aranym-jit
%{__make} clean
%endif

%configure --disable-nat-debug --enable-addressing=direct --enable-fullmmu --enable-lilo --enable-fixed-videoram --enable-nfjpeg
%{__make} depend
%{__make}
%{__mv} aranym aranym-mmu
%{__make} clean

%configure --disable-nat-debug --enable-addressing=direct --enable-nfjpeg
%{__make} depend
%{__make}

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aranym
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 aranym-mmu $RPM_BUILD_ROOT%{_bindir}

# should be 4755 but build fails due to SUID bit set
#
install -m 755 aratapif $RPM_BUILD_ROOT%{_bindir}

# JIT only works on i586
%ifarch %ix86
install -m 755 aranym-jit $RPM_BUILD_ROOT%{_bindir}
%endif

# add a desktop menu entry
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -m 644 contrib/icon-32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/aranym.png
install -m 644 contrib/icon-48.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/aranym.png

install -m 644 contrib/%{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install					\
 --delete-original					\
 --vendor ""						\
 --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
 --add-category System					\
 --add-category Emulator				\
 $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
%ifarch %ix86
install -m 644 contrib/%{name}-jit.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}-jit.desktop
%endif
install -m 644 contrib/%{name}-mmu.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-mmu.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/aratapif.1*
%{_datadir}/%{name}
%{_docdir}/%{name}
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_bindir}/aratapif
%{_bindir}/aranym

# JIT only works on i586
#
%ifarch %ix86
%{_bindir}/aranym-jit
%{_mandir}/man1/%{name}-jit.1*
%{_datadir}/applications/*%{name}-jit.desktop
%else
%exclude %{_mandir}/man1/%{name}-jit.1*
%endif

%defattr(-,root,root,-)
%{_bindir}/aranym-mmu
%{_mandir}/man1/%{name}-mmu.1*
%{_datadir}/applications/*%{name}-mmu.desktop

%changelog

* Mon May 27 2013 david.david (MLO Team) <david.david> 0.9.15-1.mga3
+ Rebuild package for Mageia 3 (Core)
- imported package from Fedora
- add french language in %%description and %%Summary
- clean "spec" file
- new version: 0.9.15
